import javax.swing.*;
import java.awt.*;

/**
 * Das startLocalGameLoadingScreen Panel dient als "Überblende", während im Backend das Spiel erstellt wird.
 * Hier wird lediglich Text angezeigt
 * @author Joshua Kuklok
 */
public class startLocalGameLoadingScreen extends JPanel{
    /**
     * Konstruktor der startLocalGameLoadingScreen.
     * @param frame Der Mainframe der Anwendung über den alle Panels angezeigt werden.
     * @param semesterCounter Ein Zähler, der das gewählte Semester speichert (hier unbenutzt)
     * @author Joshua Kuklok
     */
    startLocalGameLoadingScreen(MainFrame frame, int semesterCounter) {

        // Layout des Panels
        setLayout(new BorderLayout());

        // Label mit dem Text erstellen
        JLabel loadingLabel = new JLabel("Spiel wird gestartet, bitte warten...");
        loadingLabel.setHorizontalAlignment(SwingConstants.CENTER); // Horizontal zentrieren
        loadingLabel.setVerticalAlignment(SwingConstants.CENTER); // Vertikal zentrieren

        // Schriftgröße anpassen
        loadingLabel.setFont(new Font("Roboto", Font.BOLD, 45));

        // Label zum Panel hinzufügen
        add(loadingLabel, BorderLayout.CENTER);
    }
}